include:
  remote: 'https://gitlab.com/arbetsformedlingen/devops/gitlab-cicd/jobtech-ci/-/raw/v2.1.1/jobtech-ci.yml'

variables:
  DEPLOYS_DISABLED: 1


# Purpose of test:
#   - see if the program can load all libs and start
test_tools:
  stage: test
  image:
    name: $BRANCH_IMAGE
    entrypoint: [""]    # delete the entrypoint in the dockerfile so we can run script
  script:
    - /usr/bin/launchotron --help|grep -q 'The Ephemeral Job Runner'
